angular.module('app.controllers')

.controller('transactionDetailsCtrl', ['$scope', '$rootScope', '$state', '$stateParams', '$ionicHistory', '$ionicPopup', '$ionicPlatform', // The following is the constructor function for this page's controller. See https://docs.angularjs.org/guide/controller
// You can include any angular dependencies as parameters for this function
// TIP: Access Route Parameters for your page via $stateParams.parameterName
function ($scope, $rootScope, $state, $stateParams, $ionicHistory, $ionicPopup, $ionicPlatform) {

    $scope.title = "Transaction History";
    $scope.transaction = $rootScope.transaction;
    $scope.customPadding = $rootScope.customPadding;
    $scope.hideVoidBtn = ''

    $scope.displayGiftCardId = '';
    if($scope.transaction.giftcard !== '')
        $scope.displayGiftCardId = 'Giftcard ID: ' + $scope.transaction.giftcard;

    $scope.closeApp = function(){
        $rootScope.closeApp();
    };

    if($scope.transaction.type === 'Void')
        $scope.displayVoidId = 'Transaction ID: ' + $scope.transaction.void_transaction_id;
    else
        $scope.displayVoidId = '';
    
    $scope.goBack = function(){
        $ionicHistory.goBack();
    }    

}])