angular.module('app.routes', [])

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider
    
  .state('login', {
    url: '/login',
    templateUrl: 'templates/login.html',
    controller: 'loginCtrl'
  })

  .state('bounceoffParticipant', {
    url: '/bounceoffParticipant',
    templateUrl: 'templates/bounceoffParticipant.html',
    controller: 'bounceOffCtrl',
    preload: true
  })

  .state('historyTransaction', {
    url: '/history-transaction',
    templateUrl: 'templates/historyTransaction.html',
    controller: 'historyTransactionCtrl',
    params: {transactionList: null},
    cache:false
  })

  .state('transactionDetails', {
    url: '/transactionDetails',
    templateUrl: 'templates/transactionDetails.html',
    controller: 'transactionDetailsCtrl',
    params: {'transaction': null},
    cache:false
  })

  .state('changePassword', {
    url: '/changePassword',
    templateUrl: 'templates/changePassword.html',
    controller: 'changePasswordCtrl',
    cache: false
  })

  .state('registration', {
    url: '/registration',
    templateUrl: 'templates/registration.html',
    controller: 'registrationCtrl',
    cache: false
  })


$urlRouterProvider.otherwise('/login')

  

});